Package Release Info

libmygpo-qt-1.1.0-bp151.2.11

Update Info: Base Release
Available in Package Hub : 15 SP1

platforms

AArch64
ppc64le
s390x
x86-64

subpackages

libmygpo-qt-devel
libmygpo-qt1

Change Logs

Version: 1.0.7-3.1
* Sat Apr 13 2013 hrvoje.senjan@gmail.com
- Update to 1.0.7
  * New Config Class. This class allows to programmatically to
    retrieve the libmygpo-qt version and retrieve and set the
    gpodder.net API endpoint
  * Config Class also allows to set a prefix to the user-agent.
  * fixed a bug that created incomplete Episode Actions if an
    Episode Action couldn?t be parsed completely by libmygpo-qt
  * fixed a small bug with the pkgconfig file
  * added support for uploading & retrieving flattr Episode Actions
    to gpodder.net
* Sun Nov 25 2012 nico.kruber@gmail.com
- Fix the SLES build (%make_install is not expanded on SLES)
* Tue Oct 23 2012 cgiboudeaux@gmx.com
- Update to 1.0.6
  * Added support for DeviceSync API. This API makes it possible to
  set up synchronization with existing gpodder.net devices from inside
  your application
  * Set Contenttype Header to avoid warnings with Qt 4.8
  * Some fixes & enhancements to CMake build system
* Sun Nov 13 2011 cgiboudeaux@gmx.com
- Update to 1.0.5
  * fixed a bug in downloadSubscriptionsJson()
  * changed the way http basic auth information is transmitted to
    gpodder.net to no longer getting annoying popups when using
    libmygpo-qt with KIO from KDE 4.7.X
  * implemented functions to access the new API for retrieving
    synchronization information of devices
  * implemented functions to retrieve toplist and search results in
    gpodders custom XML format
  * added ?ConfigStyle? package finding to CMake Buildsystem
* Mon Sep 19 2011 cgiboudeaux@gmx.com
- Update to 1.0.4
  * fixed a bug with an invalid timestamp when uploading EpisodeActions
  * fixed a bug with a wrong url when retrieving EpisodeActions by Podcast
  * fixed a crash happening on MeeGo because of the deletion of QNetworkReply Pointers
* Mon May 23 2011 cgiboudeaux@gmx.com
- Update to 1.0.3
  * All the Private Classes used in libmygpo-qt got their own Header
    Files (name_p.h) instead of having them in the .cpp Files
  * UrlBuilder uses now the fast String Concatenation of Qt
  * Some unneeded Files were removed (RequestHandlerTest &
    tests/Makefile.man)
  * Fixed a Bug in the Build System
  * General Cleanup of unnecessary Includes
* Mon Mar 21 2011 cgiboudeaux@gmx.com
- Add libmygpo-qt, a Qt Library that wraps the gpodder.net Web API
Version: 1.1.0-bp150.2.4
* Tue Apr 03 2018 wbauer@tmo.at
- Update to 1.1.0:
  * Deprecated Qt4 support
  * Improvements in Qt5 support
  * Fix in URL parsing, preventing Double Encoding of URLs
* Mon Feb 26 2018 wbauer@tmo.at
- Update to 1.0.9:
  * Different header installation directories for the qt4 & qt5
    version
  * Bugfix: Top level include_install_dir is now respected
  * Support for QJson 0.7
  * Default to https instead of http
  * Bugfix: Allow setting the server URL
  Changes in 1.0.8:
  * Support for building the library with Qt5
  * Support for the "Get All Subscriptions" API endpoint